Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  text ausrichten lisp funkt nicht

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   text ausrichten lisp funkt nicht (253 mal gelesen)
michelangelo
Mitglied



Sehen Sie sich das Profil von michelangelo an!   Senden Sie eine Private Message an michelangelo  Schreiben Sie einen Gästebucheintrag für michelangelo

Beiträge: 158
Registriert: 08.04.2004

Win XP, ACAD 2002 ExpressTool vom ACAD 2000

erstellt am: 06. Mai. 2004 16:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


r_text.lsp.txt

 
hab dieses lisp aus dem forum gedownloadet, es funkt irgendwie eigenwillig.

In gewissen plänen funkte es super:
kopiert einen Text und richtet in aus.

in gewissen plänen machte es das auch, mit dem unterschied das es veschiebt nicht kopiert.

und dann gibt es noch pläne in dennen es den text nur ausrichtet und den basispunkt behält (das heisst nix kopiern, nixt veschieben.)

sind das variablen die anderst eingestellt sind?? oder an was kann das liegen??

dies lisp wäre super, und hätte einen platz in meinem AutoCad-herzen reserviert. aber wen ich nie weiss welche variante es wählt....

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2457
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 07. Mai. 2004 09:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für michelangelo 10 Unities + Antwort hilfreich

Hi,
ist das das ganze Prog?
Kopieren kann das GAR nicht. Da ist nämlich nicht eine einzige Anweisung zum kopieren drinne.
Kann es sein, das Du zum kopieren eine Routine hast, die genau gleich heißt? Und dann mal die oder 'ne andere lädst?

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

michelangelo
Mitglied



Sehen Sie sich das Profil von michelangelo an!   Senden Sie eine Private Message an michelangelo  Schreiben Sie einen Gästebucheintrag für michelangelo

Beiträge: 158
Registriert: 08.04.2004

Win XP, ACAD 2002 ExpressTool vom ACAD 2000

erstellt am: 11. Mai. 2004 11:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

wie kann ich das ein bauen, dass es kopiert. und was kann ich alles umbenennen damit ich mit anderen variabeln nicht in konflikt komme?? bin eine lisp niete. wäre sehr froh um hilfe.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2457
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 11. Mai. 2004 12:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für michelangelo 10 Unities + Antwort hilfreich

So?
Code:

; Kopiert Text an eine bestimmte Stelle und richtet ihn in einem bestimmten Winkel aus

(defun C:R_TEXT (/      C_E    EN      ENT    EXITFLAG
                  O_AB    O_S    P1      P2      TEXT_ELEM
                WINKEL
                )

  (defun *NEUERR* (MSG) (R_VAR) (princ MSG) (princ))

  (setq ALTERR  *ERROR*
        *ERROR*  *NEUERR*
        C_E      (getvar "CMDECHO")    ; ECHO
        O_S      (getvar "OSMODE")      ; FANG
        O_AB    (getvar "angbase")
        EXITFLAG NIL
  ) ;_ end of setq

  (setvar "CMDECHO" 0)
  (setvar "OSMODE" 512)
  (setvar "angbase" 0)

  (defun R_VAR ()
    (setq *ERROR* ALTERR)
    (setvar "OSMODE" O_S)
    (setvar "CMDECHO" C_E)
    (setvar "angbase" O_AB)
    (redraw)
  ) ;_ end of defun
  ;;----------------------------------------------

  (while (not EXITFLAG)
    (setq TEXT_ELEM (entsel "\nTextelement wählen "))
    (if (not TEXT_ELEM)
      (setq EXITFLAG t)
      (progn
        (redraw (car TEXT_ELEM) 3)
        (setq EN  (car TEXT_ELEM)
              ENT (entget EN)
        ) ;_ end of setq
        (if (not (wcmatch (cdr (assoc 0 ENT)) "*TEXT"))
          (princ "\nGewähltes Element ist kein Textelement!")
          (progn
            (setq P1 (cdr (assoc 10 ENT)))
            (if (not (setq P2 (getpoint P1 "\nZielpunkt wählen")))
              (princ "\nKeinen Zielpunkt gewählt...")
              (if
                (not (setq WINKEL (getangle P2 "\nBasiswinkel angeben"))
                ) ;_ end of not
                (princ "\nKeinen Winkel gewählt...")
                (progn
                  (command "_.copy" EN "" P1 P2)
                  (setq ENT (entget (entlast))
                        ENT (subst (cons 50 WINKEL) (assoc 50 ENT) ENT)
                  ) ;_ end of setq
                  (entmod ENT)
                  (entupd EN)
                ) ;_ end of progn
              ) ;_ end of if
            ) ;_ end of if
          ) ;_ end of progn
        ) ;_ end of if
      ) ;_ end of progn
    ) ;_ end of if
  ) ;_ end of while
  (R_VAR)
  (princ)
) ;_ end of defun
(prompt
  "\n \n \nText ausrichten geladen. Aufruf durch \"r_text\" "
) ;_ end of prompt
(princ)



..

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

michelangelo
Mitglied



Sehen Sie sich das Profil von michelangelo an!   Senden Sie eine Private Message an michelangelo  Schreiben Sie einen Gästebucheintrag für michelangelo

Beiträge: 158
Registriert: 08.04.2004

Win XP, ACAD 2002 ExpressTool vom ACAD 2000

erstellt am: 11. Mai. 2004 13:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke für das lisp, hab dir 10's gegeben den das hilft sehr.
danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz